
QGIS Application - Bug report #20327

Grass crashes when try to create mapset

2018-11-02 11:19 AM - Vitor Silva

Status: Open

Priority: High

Assignee:

Category: GRASS

Affected QGIS version:3.4.0 Regression?: Yes

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28148

Description

Hi,

I can´t create a mpaset in QGIS, always crash at this moment.

The report is this:

Crash ID: f3b94088ad28fd40600a5d0e06b9c43ac6243e50

Stack Trace

RtlRaiseStatus :

memset :

setjmpex :

G_fatal_error :

G_getenv :

read_datum_table :

GPJ_osr_to_grass :

GPJ_wkt_to_grass :

version :

version :

QMetaObject::activate :

QWizard::subTitleFormat :

QWizard::next :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :
QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.0-Madeira

QGIS code revision: 4a4b62ed19

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicated by QGIS Application - Bug report # 20209: QGIS crashes when creati... Closed 2018-10-24

Duplicates QGIS Application - Bug report # 19677: Qgis crashes on opening new... Closed 2018-08-23

Duplicates QGIS Application - Bug report # 19525: problems configuring new di... Closed 2018-08-01

Duplicates QGIS Application - Bug report # 19131: QGIS crashed while I was cr... Closed 2018-06-07

History

#1 - 2018-11-02 11:30 AM - Giovanni Manghi

- Regression? changed from No to Yes

- Operating System changed from windows 10 to windows

- Crashes QGIS or corrupts data changed from No to Yes

Confirmed regression on Windows (on Linux seems ok).

#2 - 2018-11-11 02:03 PM - Jürgen Fischer

- Duplicated by Bug report #20209: QGIS crashes when creating a new GRASS location/mapset added

#3 - 2018-11-11 02:06 PM - Jürgen Fischer

- Duplicates Bug report #19677: Qgis crashes on opening new grass mapset using the grass plugin added

#4 - 2018-11-11 02:06 PM - Jürgen Fischer

- Duplicates Bug report #19525: problems configuring new directory with grass attached report added

#5 - 2018-11-11 02:06 PM - Jürgen Fischer

- Duplicates Bug report #19131: QGIS crashed while I was creating a new grass location added
